### Method

# Handy Squeezer set_child_enabled

since: 1.0

#### Declaration [src]

    void
    hdy_squeezer_set_child_enabled (
      HdySqueezer* self,
      GtkWidget* child,
      gboolean enabled
    )

#### Description [src]

Sets whether `child` is enabled.

If a child is disabled, it will be ignored when looking for the child fitting the available size best. This allows to programmatically and prematurely hide a child of `self` even if it fits in the available space.

This can be used e.g. to ensure a certain child is hidden below a certain window width, or any other constraint you find suitable.

Available since: 1.0

#### Parameters

`child`

  Type: `GtkWidget`

  A child of `self`.

  The data is owned by the caller of the method.

`enabled`

  Type: `gboolean`

  Whether to enable the child.